### Method

# Gtk.TreeStore.set_valuesv

#### Declaration [src]

    void
    gtk_tree_store_set_valuesv (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      int* columns,
      GValue* values,
      int n_values
    )

#### Description [src]

A variant of `gtk_tree_store_set_valist()` which takes the columns and values as two arrays, instead of varargs. This function is mainly intended for language bindings or in case the number of columns to change is not known until run-time.

#### Parameters

`iter` | `GtkTreeIter`
| A valid `GtkTreeIter` for the row being modified
| Ownership is not transferred to the callee
`columns` | An array of `int`
| an array of column numbers
| The length of the array is in the `n_values` argument
| Ownership is not transferred to the callee
`values` | An array of `GValue`
| an array of GValues
| The length of the array is in the `n_values` argument
| Ownership is not transferred to the callee
`n_values` | `int`
| the length of the `columns` and `values` arrays